| Flutter Impeller |

Public Member Functions | List of all members
impeller::ReactorGLES::Worker Class Referenceabstract

A delegate implemented by a thread on which an OpenGL context is current. There may be multiple workers for the reactor to perform reactions on. In that case, it is the workers responsibility to ensure that all of them use either the same OpenGL context or multiple OpenGL contexts in the same sharegroup. More...

`#include <reactor_gles.h>`

Inheritance diagram for impeller::ReactorGLES::Worker:

## Public Member Functions
virtual | ~Worker ()=default
virtual bool | CanReactorReactOnCurrentThreadNow (const ReactorGLES &reactor) const =0
| Determines the ability of the worker to service a reaction on the current thread. The OpenGL context must be current on the thread if the worker says it is able to service a reaction. More...

## Detailed Description

A delegate implemented by a thread on which an OpenGL context is current. There may be multiple workers for the reactor to perform reactions on. In that case, it is the workers responsibility to ensure that all of them use either the same OpenGL context or multiple OpenGL contexts in the same sharegroup.

Definition at line 67 of file reactor_gles.h.

## Constructor & Destructor Documentation

## ◆ ~Worker()

virtual impeller::ReactorGLES::Worker::~Worker | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ CanReactorReactOnCurrentThreadNow()

virtual bool impeller::ReactorGLES::Worker::CanReactorReactOnCurrentThreadNow | ( | const ReactorGLES & | reactor | ) | const
| pure virtual

Determines the ability of the worker to service a reaction on the current thread. The OpenGL context must be current on the thread if the worker says it is able to service a reaction.

Parameters

  [in] | reactor | The reactor

Returns
  If the worker is able to service a reaction. The reactor assumes the context is already current if true.

Implemented in impeller::PlaygroundImplGLES::ReactorWorker.

The documentation for this class was generated from the following file:

- impeller/renderer/backend/gles/reactor_gles.h